Hi, all:

I'm trying to play with the newest OpenCV-2.4.3.1-android-sdk .
My Hosting environment: Ubuntu7 12.04 + OpenCV 2.4.3 +
OpenCV-2.4.3.1-Anrdoid + android-sdk_r21-linux + android-ndk-r8c-linux-x86

Since I met exactly the same problem mentioned at
https://groups.google.com/forum/#!msg/android-opencv/XA57SdICg8w/aNKq2094QRMJ
I'll have to run the command line(s):
<Android SDK path>/platform-tools/adb install <OpenCV4Android SDK path>
/apk/OpenCV_2.4.2_Manager.apk
<Android SDK path>/platform-tools/adb install <OpenCV4Android SDK path>
/apk/OpenCV_2.4.2_binary_pack_armv7a.apk


However, I found a lot of apk files under <OpenCV4Android SDK path>

peijia@peijia-GA-870A-UD3:/opt/OpenCV-2.4.3.1-android-sdk/apk$ ls
OpenCV_2.4.3.1_binary_pack_armv7a.apk
OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk
OpenCV_2.4.3.1_Manager_2.3_armeabi.apk
OpenCV_2.4.3.1_Manager_2.3_mips.apk
OpenCV_2.4.3.1_Manager_2.3_armv7a-neon-android8.apk
OpenCV_2.4.3.1_Manager_2.3_x86.apk

which one(s) should I install?

And, is there any documentation to clarify the differences among all of
these apk file(s)??


Cheers
Pei

--

Search Discussions

  • Alexander Smorkalov at Dec 18, 2012 at 7:37 am
    You need to install OpenCV Manager for your hardware platform. In most
    cases it is OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk. This package is
    targeted on arm-v7a devices with NEON module running Android 2.3 or higher.
    OpenCV_2.4.3.1_Manager_2.3_armeabi.apk is targeted on old arm-v5 and arm-v6
    devices. OpenCV_2.4.3.1_Manager_2.3_armv7a-neon-android8.apk is targeted on
    devices with Arm-v7a+NEON SoCs and Android 2.2. Since 2.4.3 release
    OpenCV_2.4.3.1_binary_pack_armv7a.apk is optional and is targeted for
    Arm-v7a devices without NEON module, like Tegra2 SoC for example.

    --
  • Andrey Pavlenko at Dec 18, 2012 at 8:06 am
    I've submitted the task #2642 <http://code.opencv.org/issues/2642> to
    eliminate such confusions in future.

    --
  • Jiapei100 at Dec 18, 2012 at 8:46 am
    Thank you so much Alexander:

    Seriously thank you...

    If I don't connect my hardware platform, say, a Galaxy S1, and I only want
    to run the emulator on my Hosting Ubuntu 12.04, which apk should I install?
    And is it the reason that I always receive *error: device not found*without plugin a hardware (in my case, Galaxy S1) ?

    Does that mean, I can't play with OpenCV Android on an emulator. The only
    way to successfully install an apk is to use a real hardware platform ???


    Thank you in advance.


    Best Regards
    Pei


    On Monday, December 17, 2012 11:37:42 PM UTC-8, Alexander Smorkalov wrote:

    You need to install OpenCV Manager for your hardware platform. In most
    cases it is OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk. This package is
    targeted on arm-v7a devices with NEON module running Android 2.3 or higher.
    OpenCV_2.4.3.1_Manager_2.3_armeabi.apk is targeted on old arm-v5 and arm-v6
    devices. OpenCV_2.4.3.1_Manager_2.3_armv7a-neon-android8.apk is targeted on
    devices with Arm-v7a+NEON SoCs and Android 2.2. Since 2.4.3 release
    OpenCV_2.4.3.1_binary_pack_armv7a.apk is optional and is targeted for
    Arm-v7a devices without NEON module, like Tegra2 SoC for example.
    --
  • Jiapei100 at Dec 18, 2012 at 9:17 am
    Hi, Sorry, problem solved.

    I've got to run the emulator from AVD first, in order to have this virtual
    device !!

    Thanks Alexander.

    Cheers
    Pei


    On Tuesday, December 18, 2012 12:46:34 AM UTC-8, jiapei100 wrote:


    Thank you so much Alexander:

    Seriously thank you...

    If I don't connect my hardware platform, say, a Galaxy S1, and I only want
    to run the emulator on my Hosting Ubuntu 12.04, which apk should I install?
    And is it the reason that I always receive *error: device not found*without plugin a hardware (in my case, Galaxy S1) ?

    Does that mean, I can't play with OpenCV Android on an emulator. The only
    way to successfully install an apk is to use a real hardware platform ???


    Thank you in advance.


    Best Regards
    Pei


    On Monday, December 17, 2012 11:37:42 PM UTC-8, Alexander Smorkalov wrote:

    You need to install OpenCV Manager for your hardware platform. In most
    cases it is OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk. This package is
    targeted on arm-v7a devices with NEON module running Android 2.3 or higher.
    OpenCV_2.4.3.1_Manager_2.3_armeabi.apk is targeted on old arm-v5 and arm-v6
    devices. OpenCV_2.4.3.1_Manager_2.3_armv7a-neon-android8.apk is targeted on
    devices with Arm-v7a+NEON SoCs and Android 2.2. Since 2.4.3 release
    OpenCV_2.4.3.1_binary_pack_armv7a.apk is optional and is targeted for
    Arm-v7a devices without NEON module, like Tegra2 SoC for example.
    --
  • Jiapei100 at Dec 18, 2012 at 10:05 am
    Well, unfortunately, problem continues.

    As for the installation of *OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk*

    *peijia@peijia-GA-870A-UD3:/opt/android-sdk-linux/platform-tools$ adb
    install
    /opt/OpenCV-2.4.3.1-android-sdk/apk/OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk
    **2287 KB/s (5848757 bytes in 2.497s)
    ** pkg: /data/local/tmp/OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk
    **Failure [INSTALL_FAILED_ALREADY_EXISTS]*

    As you can see, I've already have it installed after the emulator had
    successfully run. However, the current situation is:

    1) By running the default app Camera, I got the message *Insert a SD card
    before using the camera*
    2) By running the sample *Sample2NativeCamera*, problem continues:
    *"package not found" - "OpenCV Manager Package was not found! Try to
    install it?"* , after I click* "yes"* , then show message *"OpenCV Manager"
    - "package installation failed".*
    3) In addition, when I start Eclipse, I got the message
    *Cannot run program "/ndk-build.cmd": Unknown reason*

    However, the following command line seems to tell my settings are correct.
    *peijia@peijia-GA-870A-UD3:~$ echo $PATH
    **
    /usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/opt/android-sdk-linux/tools/:/opt/android-sdk-linux/platform-tools:/opt/android-ndk-r8c
    **peijia@peijia-GA-870A-UD3:~$ ls /opt/android-ndk-r8c/
    **build documentation.html ndk-build ndk-gdb ndk-which
    prebuilt RELEASE.TXT sources toolchains
    **docs GNUmakefile ndk-build.cmd ndk-stack platforms
    README.TXT samples tests
    **peijia@peijia-GA-870A-UD3:~$ ls $NDKROOT
    **build documentation.html ndk-build ndk-gdb ndk-which
    prebuilt RELEASE.TXT sources toolchains
    **docs GNUmakefile ndk-build.cmd ndk-stack platforms
    README.TXT samples tests*

    Can you please help to figure this out ??

    Thank you very much.


    Best Regards
    Pei


    On Monday, December 17, 2012 11:37:42 PM UTC-8, Alexander Smorkalov wrote:

    You need to install OpenCV Manager for your hardware platform. In most
    cases it is OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk. This package is
    targeted on arm-v7a devices with NEON module running Android 2.3 or higher.
    OpenCV_2.4.3.1_Manager_2.3_armeabi.apk is targeted on old arm-v5 and arm-v6
    devices. OpenCV_2.4.3.1_Manager_2.3_armv7a-neon-android8.apk is targeted on
    devices with Arm-v7a+NEON SoCs and Android 2.2. Since 2.4.3 release
    OpenCV_2.4.3.1_binary_pack_armv7a.apk is optional and is targeted for
    Arm-v7a devices without NEON module, like Tegra2 SoC for example.
    --
  • Jiapei100 at Dec 18, 2012 at 11:17 pm
    Now, the 1st problem has been solved by specifying the webcam0 as the front
    camera in AVD Details settings.
    And the 2nd problem can be solved by specifying a full path of *
    ndk-build.cmd* ; instead of using *$NDKROOT/ndk-build.cmd*
    as mentioned in
    http://stackoverflow.com/questions/9620381/android-ndk-in-eclipse-cannot-run-program-ndk-build-unknown-reason

    Now, the only problem left is:
    Whenever I tried to run the sample code *Sample2NativeCamera*, I got:
    *"package not found" - "OpenCV Manager Package was not found! Try to
    install it?"* , after I click* "yes"* , then show message *"OpenCV Manager"
    - "package installation failed".*

    I'm 100% sure that I've already installed
    *OpenCV_2.4.3.1_binary_pack_armv7a.apk*
    *OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk*


    Any suggestions please?

    cheers
    Pei



    On Tuesday, December 18, 2012 2:05:17 AM UTC-8, jiapei100 wrote:



    Well, unfortunately, problem continues.

    As for the installation of *OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk*

    *peijia@peijia-GA-870A-UD3:/opt/android-sdk-linux/platform-tools$ adb
    install
    /opt/OpenCV-2.4.3.1-android-sdk/apk/OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk
    **2287 KB/s (5848757 bytes in 2.497s)
    ** pkg: /data/local/tmp/OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk
    **Failure [INSTALL_FAILED_ALREADY_EXISTS]*

    As you can see, I've already have it installed after the emulator had
    successfully run. However, the current situation is:

    1) By running the default app Camera, I got the message *Insert a SD card
    before using the camera*
    2) By running the sample *Sample2NativeCamera*, problem continues:
    *"package not found" - "OpenCV Manager Package was not found! Try to
    install it?"* , after I click* "yes"* , then show message *"OpenCV
    Manager" - "package installation failed".*
    3) In addition, when I start Eclipse, I got the message
    *Cannot run program "/ndk-build.cmd": Unknown reason*

    However, the following command line seems to tell my settings are correct.
    *peijia@peijia-GA-870A-UD3:~$ echo $PATH
    **
    /usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/opt/android-sdk-linux/tools/:/opt/android-sdk-linux/platform-tools:/opt/android-ndk-r8c
    **peijia@peijia-GA-870A-UD3:~$ ls /opt/android-ndk-r8c/
    **build documentation.html ndk-build ndk-gdb ndk-which
    prebuilt RELEASE.TXT sources toolchains
    **docs GNUmakefile ndk-build.cmd ndk-stack platforms
    README.TXT samples tests
    **peijia@peijia-GA-870A-UD3:~$ ls $NDKROOT
    **build documentation.html ndk-build ndk-gdb ndk-which
    prebuilt RELEASE.TXT sources toolchains
    **docs GNUmakefile ndk-build.cmd ndk-stack platforms
    README.TXT samples tests*

    Can you please help to figure this out ??

    Thank you very much.


    Best Regards
    Pei


    On Monday, December 17, 2012 11:37:42 PM UTC-8, Alexander Smorkalov wrote:

    You need to install OpenCV Manager for your hardware platform. In most
    cases it is OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk. This package is
    targeted on arm-v7a devices with NEON module running Android 2.3 or higher.
    OpenCV_2.4.3.1_Manager_2.3_armeabi.apk is targeted on old arm-v5 and arm-v6
    devices. OpenCV_2.4.3.1_Manager_2.3_armv7a-neon-android8.apk is targeted on
    devices with Arm-v7a+NEON SoCs and Android 2.2. Since 2.4.3 release
    OpenCV_2.4.3.1_binary_pack_armv7a.apk is optional and is targeted for
    Arm-v7a devices without NEON module, like Tegra2 SoC for example.
    --
  • Jiapei100 at Dec 20, 2012 at 2:08 am
    Problem has been solved.
    I should have installed some orther apk(s)...

    Suggestions: if the users like me who don't know which apk(s) should be
    installed, just install all of the apks !!


    Topic closed...
    Pei

    On Tuesday, December 18, 2012 3:17:04 PM UTC-8, jiapei100 wrote:


    Now, the 1st problem has been solved by specifying the webcam0 as the
    front camera in AVD Details settings.
    And the 2nd problem can be solved by specifying a full path of *
    ndk-build.cmd* ; instead of using *$NDKROOT/ndk-build.cmd*
    as mentioned in
    http://stackoverflow.com/questions/9620381/android-ndk-in-eclipse-cannot-run-program-ndk-build-unknown-reason

    Now, the only problem left is:
    Whenever I tried to run the sample code *Sample2NativeCamera*, I got:
    *"package not found" - "OpenCV Manager Package was not found! Try to
    install it?"* , after I click* "yes"* , then show message *"OpenCV
    Manager" - "package installation failed".*

    I'm 100% sure that I've already installed
    *OpenCV_2.4.3.1_binary_pack_armv7a.apk*
    *OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk*


    Any suggestions please?

    cheers
    Pei



    On Tuesday, December 18, 2012 2:05:17 AM UTC-8, jiapei100 wrote:



    Well, unfortunately, problem continues.

    As for the installation of *OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk*

    *peijia@peijia-GA-870A-UD3:/opt/android-sdk-linux/platform-tools$ adb
    install
    /opt/OpenCV-2.4.3.1-android-sdk/apk/OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk
    **2287 KB/s (5848757 bytes in 2.497s)
    ** pkg:
    /data/local/tmp/OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk
    **Failure [INSTALL_FAILED_ALREADY_EXISTS]*

    As you can see, I've already have it installed after the emulator had
    successfully run. However, the current situation is:

    1) By running the default app Camera, I got the message *Insert a SD
    card before using the camera*
    2) By running the sample *Sample2NativeCamera*, problem continues:
    *"package not found" - "OpenCV Manager Package was not found! Try to
    install it?"* , after I click* "yes"* , then show message *"OpenCV
    Manager" - "package installation failed".*
    3) In addition, when I start Eclipse, I got the message
    *Cannot run program "/ndk-build.cmd": Unknown reason*

    However, the following command line seems to tell my settings are correct.
    *peijia@peijia-GA-870A-UD3:~$ echo $PATH
    **
    /usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/opt/android-sdk-linux/tools/:/opt/android-sdk-linux/platform-tools:/opt/android-ndk-r8c
    **peijia@peijia-GA-870A-UD3:~$ ls /opt/android-ndk-r8c/
    **build documentation.html ndk-build ndk-gdb ndk-which
    prebuilt RELEASE.TXT sources toolchains
    **docs GNUmakefile ndk-build.cmd ndk-stack platforms
    README.TXT samples tests
    **peijia@peijia-GA-870A-UD3:~$ ls $NDKROOT
    **build documentation.html ndk-build ndk-gdb ndk-which
    prebuilt RELEASE.TXT sources toolchains
    **docs GNUmakefile ndk-build.cmd ndk-stack platforms
    README.TXT samples tests*

    Can you please help to figure this out ??

    Thank you very much.


    Best Regards
    Pei


    On Monday, December 17, 2012 11:37:42 PM UTC-8, Alexander Smorkalov wrote:

    You need to install OpenCV Manager for your hardware platform. In most
    cases it is OpenCV_2.4.3.1_Manager_2.3_armv7a-neon.apk. This package is
    targeted on arm-v7a devices with NEON module running Android 2.3 or higher.
    OpenCV_2.4.3.1_Manager_2.3_armeabi.apk is targeted on old arm-v5 and arm-v6
    devices. OpenCV_2.4.3.1_Manager_2.3_armv7a-neon-android8.apk is targeted on
    devices with Arm-v7a+NEON SoCs and Android 2.2. Since 2.4.3 release
    OpenCV_2.4.3.1_binary_pack_armv7a.apk is optional and is targeted for
    Arm-v7a devices without NEON module, like Tegra2 SoC for example.
    --

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupandroid-opencv @
categoriesandroid
postedDec 18, '12 at 3:08a
activeDec 20, '12 at 2:08a
posts8
users3
websiteandroid.com

People

Translate

site design / logo © 2019 Grokbase